VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "vbConnectoid by CartersZoo.com"
   ClientHeight    =   5385
   ClientLeft      =   2865
   ClientTop       =   1755
   ClientWidth     =   5565
   Icon            =   "frmMain.frx":0000
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   5385
   ScaleWidth      =   5565
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdAbout 
      Caption         =   "A&bout"
      Height          =   375
      Left            =   2880
      TabIndex        =   8
      Top             =   4770
      Width           =   975
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "E&xit"
      Height          =   375
      Left            =   4080
      TabIndex        =   7
      Top             =   4770
      Width           =   975
   End
   Begin VB.Frame Frame1 
      Height          =   3975
      Left            =   240
      TabIndex        =   0
      Top             =   270
      Width           =   4935
      Begin VB.ListBox lstConnections 
         Height          =   2595
         Left            =   240
         TabIndex        =   5
         Top             =   540
         Width           =   4455
      End
      Begin VB.CommandButton cmdAdd 
         Caption         =   "&Add"
         Height          =   375
         Left            =   360
         TabIndex        =   4
         Top             =   3240
         Width           =   975
      End
      Begin VB.CommandButton cmdProperties 
         Caption         =   "&Properties"
         Height          =   375
         Left            =   1440
         TabIndex        =   3
         Top             =   3240
         Width           =   975
      End
      Begin VB.CommandButton cmdRename 
         Caption         =   "&Rename"
         Height          =   375
         Left            =   2520
         TabIndex        =   2
         Top             =   3240
         Width           =   975
      End
      Begin VB.CommandButton cmdDelete 
         Caption         =   "&Delete"
         Height          =   375
         Left            =   3600
         TabIndex        =   1
         Top             =   3240
         Width           =   975
      End
      Begin VB.Label lblInfo 
         AutoSize        =   -1  'True
         BackStyle       =   0  'Transparent
         Caption         =   "Current RAS/VPN Connectoids"
         Height          =   195
         Left            =   360
         TabIndex        =   6
         Top             =   270
         Width           =   2220
      End
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdAbout_Click()
   frmHelp.AboutForm

End Sub

Private Sub cmdAdd_Click()
   Form1.ShowNewConnection
   FillConnections
   SetButtonStates

End Sub

Private Sub cmdDelete_Click()
   Dim ans As Long
   Dim sDeleteName As String

   sDeleteName = lstConnections.List(lstConnections.ListIndex)

   If MsgBox("Are you sure you want to delete " & sDeleteName, vbQuestion + vbYesNo + vbDefaultButton2) = vbYes Then
      ans = RasDeleteEntry(vbNullString, sDeleteName)
      If ans = 0 Then
         App.LogEvent "Removed old connection '" & sDeleteName & "'"
      Else
         'didn't delete it
         Debug.Assert MsgBox("RASDELETEENTRY Returns " & ans)
         App.LogEvent "Couldn't remove old connection '" & sDeleteName & "'"
      End If
   End If
   
   FillConnections
   SetButtonStates
End Sub

Private Sub cmdExit_Click()
   Unload Me
End Sub

Private Sub cmdProperties_Click()
   Form1.ShowConnection lstConnections.List(lstConnections.ListIndex)

End Sub

Private Sub Form_Load()
   FillConnections
   SetButtonStates


End Sub


Private Sub FillConnections()
   Dim iConnCount As Integer
   Dim sConnect() As String
   Dim i As Integer


   lstConnections.Clear

   iConnCount = GetEntries(sConnect)
   If iConnCount > 0 Then
      For i = 1 To iConnCount
         lstConnections.AddItem sConnect(i)
      Next i
   End If


End Sub

Private Sub SetButtonStates()


   If lstConnections.ListCount > 0 Then

      If lstConnections.ListIndex > -1 Then
         cmdProperties.Enabled = True
         cmdRename.Enabled = True
         cmdDelete.Enabled = True
      Else
         cmdProperties.Enabled = False
         cmdRename.Enabled = False
         cmdDelete.Enabled = False
      End If
      lblInfo.Caption = "Current RAS/VPN Connectoids: " & lstConnections.ListCount

   Else
      cmdProperties.Enabled = False
      cmdRename.Enabled = False
      cmdDelete.Enabled = False
      lblInfo.Caption = "Current RAS/VPN Connectoids: NONE"

   End If


End Sub

Private Sub lstConnections_Click()
   SetButtonStates
End Sub
